##
##  viewmtn.config.py -- ViewMTN configuration
##

import sys

debug                    = True

dynamic_uri_path         = 'http://localhost:8080/'
static_uri_path          = 'http://localhost:8080/static/'

highlight_command        = '@l_prefix@/bin/highlight'
monotone                 = '@l_prefix@/bin/mtn'

dbfile                   = '@l_prefix@/var/monotone/monotone.db'

gnome_mimetype_icon_path = '@l_prefix@/share/icon-theme/'
gnome_mimetype_uri       = 'icon-theme/'
icon_theme               = 'gnome'
icon_size                = '16'

graphopts = {
    'directory'          : '@l_prefix@/var/viewmtn/graph/',
    'uri'                : 'graph/',
    'dot'                : '@l_prefix@/bin/dot',
    'nodeopts'           : { 
       'fontname'        : 'DejaVu Sans', 
       'fontsize'        : '8',
       'shape'           : 'box',
       'height'          : '0.3',
       'spline'          : 'true',
       'style'           : 'filled',
       'fillcolor'       : '#dddddd'
    }
}

